> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/ice-hockey/websocket/websocket-sample-data.md).

# WebSocket Sample Data

### score

```json
[
    {
        "id": "23xmv0bwdjg3rg8",
        "score": [
            "23xmv0bwdjg3rg8",
            100,
            0,
            {
                "ft": [
                    5,
                    4
                ],
                "p1": [
                    2,
                    2
                ],
                "p2": [
                    1,
                    1
                ],
                "p3": [
                    2,
                    1
                ]
            }
        ],
        "timer": [
            0,
            1,
            1730346452,
            788
        ]
    }
]

Score field description
ft - Regular score
p* - Single inning score(* - Number of inning, 1、2、3...)
ot - Overtime score(Contains regular scores)
ap - Penalty score(Contains overtime scores)
[
    "23xmv0bwdjg3rg8",//Match id
    100,//Match status, please refer to Status code->Match state
    0,//Serving side, 1. Home team, 2. Away team, 0. Unknown
    {//Score data (May be empty)
        "ft": [//Regular score
            5,//Home team score
            4 //Away team score
        ],
        "p1": [//p* - Single inning score(* - Number of inning, 1、2、3...)
            2,
            2
        ],
        "p2": [
            1,
            1
        ],
        "p3": [
            2,
            1
        ]
    }
]

Timer field description
[
  0,//Whether to run seconds, 1-yes, 0-no
  0,//Whether to count down, 1-yes, 0-no
  1730346452,//Update time
  372 //Remaining time of current inning (seconds)
]
```

### stats

```json
[
    {
        "id": "23xmv0bwdjg3rg8",
        "stats": [
            [
                0,
                [
                    [
                        5,
                        0,
                        1
                    ],
                    [
                        1,
                        63,
                        37
                    ]
                ]
            ]
        ]
    }
]

field description
[
    [
        0,//Type, 0-full court, 1-first set, 2-second set, and so on, , 90-Overtime
        [
            [
                5,//Statistic type，please refer to Status code->Team Statistics
                0,//Home team value
                1 //Away team value
            ],
            [
                1,
                63,
                37
            ]
        ]
    ]
]
```

### incidents

```json
[
  {
    "id": "6ypq3vbnl344rd7",
    "incidents": [
      {
        "type": 2,
        "extra": 0,
        "second": 556,
        "position": 2,
        "home_score": 0,
        "away_score": 1,
        "player_id": "23xmv0bgzl9rg8n",
        "assists1_id": "x7lm78b5d12q2wd",
        "assists2_id": "4wyrn9b7nzvm86p"
      },
      {
        "type": 3,
        "extra": 1,
        "second": 1931,
        "position": 1,
        "card_minute": 2,
        "player_id": "vjxm87b2694r6od"
      }
    ]
  }
]

field description
extra:
type=1(end，end point description)，1-Section One、2-Section Two、3-Section Three、100-Regular Ends、105-Overtime Ends、110-Penalty Shootout Ends
type=2(goal，score type description)，1-Penalty
type=3(card，card type description)，1-yellow card、2-yellow/red card、3-red card
type=9(Penalty shootout，type description)，2-score、3-missed
type=13(goal invalid), 1-coach challenge, 2-var replay
{
  "type": 2,//Type，see status code -> Incident Type
  "extra": 0,//Additional description of event type, as above
  "second": 556,//second
  "position": 2,//The incident occurred，0-neutral，1- home team，2- away team

  "card_minute": 2,//Card time (minutes) (card event exists)
  "home_score": 0,//Home team score，related to the goal incident，may not exist
  "away_score": 1,//Away team score，related to the goal incident，may not exist
  "player_id": "23xmv0bgzl9rg8n" //Event related player id (related event exists)
  "assists1_id": "x7lm78b5d12q2wd",//Assist player1 id (score event exists)
  "assists2_id": "4wyrn9b7nzvm86p",//Assist player2 id (score event exists)
}
```

### players

```json
[
  {
    "id": "ednm95b2wgw6ryo",
    "players": {
      "home": [
        {
          "id": "318q6wb73y5mo9j",
          "stats": [
            [
              24,
              26
            ],
            [
              25,
              89.1
            ],
          ]
        }
      ],
      "away": []
    }
  }
]

Player statistics field description
{
  "id": "318q6wb73y5mo9j",//Player id
  "stats": [
    [
      24, //Statistic type，please refer to Status code->Player Statistics
      26  //Value
    ],
    [
      25,
      89.1
    ],
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/ice-hockey/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
